Subject: RE: B20.1: CR-LF translation not always handled properly
From: "Jon Leichter" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 22 Oct 1999 11:19:15 -0700

Ok... I so I downloaded and patched the Cygwin DLL:

$ uname -a
CYGWIN_NT-4.0 BASS 21.0 (0.8/1/1) 1999-1-16 00:09:28 i686 unknown

I still see ALL of the same problems:

$ pwd
/usr/gcc-2_95-mingw32/bin

$ df .
Filesystem         1024-blocks  Used Available Capacity Mounted on
e:                   3574428  441280  3133148     12%   /

$ mount
Device           Directory           Type        Flags
e:               /                   native      text!=binary

$ ./gcc --version
2.95

$ ./gcc -print-prog-name=ld
ld

$ ./gcc -print-prog-name=ld | od -x
0000000 646c 0a0d
0000004

$ ./gcc -print-prog-name=ld | cat | od -x
0000000 646c 0a0d
0000004

$ ./gcc -print-prog-name=ld | grep ".*" | od -x
0000000 646c 000a
0000003

$ xx=`./gcc -print-prog-name=ld`
$ echo $xx | od -x
0000000 646c 0a0d
0000004

$ ./gcc -print-prog-name=ld | sed -e 's/^ld$/xxx/'
ld

$ ./gcc -print-prog-name=ld | sed -e 's/^ld^M$/xxx/'
xxx

------------------

Jon Leichter
[email-masked]

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Earnie Boyd
> Sent: Friday, October 22, 1999 4:51 AM
> To: cygwin users
> Subject: RE: B20.1: CR-LF translation not always handled properly
> 
> 
> --- Jon Leichter <[email-masked]> wrote:
> > No offense has been taken... tone is often hard to interpret in email.
> > 
> > I will try your suggestions and get back to you.
> > 
> > I'm using B20.1, and "uname -a" confirms that:
> > 
> > $ uname -a
> > CYGWIN_NT-4.0 BASS 20.1 (0.3/1/1) 1998-12-3 20:39:18 i686 unknown
>                                     ^^^^^^^^^
> Ah Ha!! Stock b20.1.  Have you read my pages yet?  You need at least to
> update to the January 15th snapshot of the cygwin1.dll to even 
> begin to resolve
> your problem.  There are some definite problems with regard to file mode
> processing with the stock version of the dll.
> 
> > 
> > 
> > I totally appreciate your help. I wish I posted to the mailing 
> list earlier.
> > 
> -8<-
> 
> You're welcome and yes you should have posted sooner, why go it alone when
> you don't have to.  BTW, you might as well get one of the latest 
> snapshots as
> you'll enjoy the improvements.  The normal caveats go for upgrading 
> software.
> 
> 
> =====
> Earnie Boyd <mailto:[email-masked]>
> 
> Newbies, please visit
> <http://www.freeyellow.com/members5/gw32/index.html>
> 
> (If you respond to the list, then please don't cc me)
> __________________________________________________
> Do You Yahoo!?
> Bid and sell for free at http://auctions.yahoo.com
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]